Subject: bug#47860: 28.0.50; Mini buffer resize when lines are truncated regression

From: Aaron Jensen <[email-masked]>
Date: Sun, 18 Apr 2021 12:45:48 -0500

On Sun, Apr 18, 2021 at 1:57 AM Eli Zaretskii <[email-masked]> wrote:
>
> Yes, please do.  I'd very much prefer to see a recipe that doesn't
> involve 3rd-party packages which specifically are aimed at changing
> how completion works in the minibuffer.  So, please, no consult and
> no selectrum.  Okay?

I haven't been able to get selectrum out of the mix yet. It's doing
quite a bit and I don't understand minibuffer manipulation well enough
to narrow the repro just yet. I did get rid of consult, so now the
repro is just:

(require 'selectrum)
(selectrum-mode)
(setq completion-styles '(substring))
(selectrum-completing-read
 "test: "
 '("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
   "bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"))

It may be a bit before I'm able to narrow it down any further. Do you
have any sense of how that commit could possibly affect the automatic
sizing of the minibuffer?

Thanks,

Aaron